Subject: Re: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Mon, 24 Mar 2014 18:48:36 +0000

Juanma Barranquero writes:
 > Interesting. There aren't that many differences between the frames.
 > The possibly significant ones:
 > 
 > (environment)
 > (height . 36)
 > (horizontall-scroll-bars . t)
(horizontal-scroll-bars . t) ; !

> (left . 896)
 > (window-system . x)
 > 
 > vs.
 > 
 > (height . 30)
 > (left . 0)
 > 
 > So I'd suggest adding them (the ones in the first group) one by one to
 > your bug17046.el, and repeat the tests. Comment out the `let' from the
 > previous message, there's no need to report the frame parameters now,
 > just whether some case fails / works when previously it would've
 > worked / failed instead.

I'm assuming that because the ones in the first group appeared in the
buggy run and not in the other, I need to add these to the version
with (display...  commented out and see if the bug occurs? I added
them incrementally - (environment) and then (environment) and
(height...) and so on until all 4 were active and then ran with one of
them only active at a time and the bug did not appear (so 7 runs in all).

R
-- 
Robert Marshall